| TagLib 1.13 |  |

Public Member Functions | Protected Member Functions | List of all members
TagLib::ID3v2::ExtendedHeader Class Reference

ID3v2 extended header implementation. More...

`#include <id3v2extendedheader.h>`

## Public Member Functions
| ExtendedHeader ()
virtual | ~ExtendedHeader ()
unsigned int | size () const
void | setData (const ByteVector &data)

## Protected Member Functions
void | parse (const ByteVector &data)

## Detailed Description

ID3v2 extended header implementation.

This class implements ID3v2 extended headers. It attempts to follow, both semantically and programmatically, the structure specified in the ID3v2 standard. The API is based on the properties of ID3v2 extended headers specified there. If any of the terms used in this documentation are unclear please check the specification in the linked section. (Structure, 3.2)

## Constructor & Destructor Documentation

## ◆ ExtendedHeader()

TagLib::ID3v2::ExtendedHeader::ExtendedHeader | ( |  | ) |

Constructs an empty ID3v2 extended header.

## ◆ ~ExtendedHeader()

virtual TagLib::ID3v2::ExtendedHeader::~ExtendedHeader | ( |  | ) |
| virtual

Destroys the extended header.

## Member Function Documentation

## ◆ parse()

void TagLib::ID3v2::ExtendedHeader::parse | ( | const ByteVector & | data | ) |
| protected

Called by setData() to parse the extended header data. It makes this information available through the public API.

## ◆ setData()

void TagLib::ID3v2::ExtendedHeader::setData | ( | const ByteVector & | data | ) |

Sets the data that will be used as the extended header. Since the length is not known before the extended header has been parsed, this should just be a pointer to the first byte of the extended header. It will determine the length internally and make that available through size().

## ◆ size()

unsigned int TagLib::ID3v2::ExtendedHeader::size | ( |  | ) | const

Returns the size of the extended header. This is variable for the extended header.

The documentation for this class was generated from the following file:

- id3v2extendedheader.h